//@ts-nocheck
import { suspense } from '@c/hoc/suspense';
import { CentralSpin } from '@c/ui/CentralSpin';
import { FC, Suspense } from 'react';
import { Route, Routes } from 'react-router-dom';
const UserReport = suspense('UserReport', () => import('@p/report'));
const Test = suspense('Test', () => import('@p/test'));

/**
 * 定义应用的主体路由结构。
 * @returns 应用主体结构组件。
 */
export const App: FC = () => {
  return (
      <UserReport />
  );
};
