
export interface privilege { identity: string, description: string };

export interface SonAccountItem {
    /**
     * 账号ID
    */
    sid: string,
    /**
     * 账号名
    */
    name: string,
    /**
     * 账号登录名
    */
    username: string,
    /**
     * 联系人姓名
    */
    contactName :string,
    /**
     * 联系人电话
    */
    contactPhone :string,
    /**
     * 拥有权限
     */
    privileges: privilege [],
    /**
     * 可用性
    */
    enabled: boolean,
    
    /**
     * 创建时间
    */
    createdAt :string,
    /**
     * 修改时间
    */
    lastModifiedAt :string,
}


export interface SubmitSonAccount {
   /**
     * 账号ID
    */
   sid: string,
   /**
    * 账号名
   */
   name: string,
   /**
    * 账号登录名
   */
   username: string,
   /**
    * 联系人姓名
   */
   contactName :string,
   /**
    * 联系人电话
   */
   contactPhone :string,
   /**
    * 拥有权限
    */
   privileges: string [],
}