import { Spin } from 'antd';
import { FC } from 'react';
import tw from 'twin.macro';

const CentralSpinLayout = tw.div`h-full w-full overflow-hidden flex flex-row justify-center items-center`;

/**
 * 位于区域中央的转圈加载指示组件。
 * @returns 居中的转圈加载指示组件
 */
export const CentralSpin: FC = () => (
  <CentralSpinLayout>
    <Spin size="large" />
  </CentralSpinLayout>
);
