import { SyncCallback } from '@/shared/foundation';
import { useUnmount } from 'react-use';

//在组件卸载的时候调用指定的方法，主要用来重置组件所使用到的Store。
export function useResetStore(action?: SyncCallback) {
  useUnmount(() => action?.());
}
