import { ajaxEngine } from "./axios_instance"
import {unwrap} from "@u/asyncs";
import qs from "qs";
import type {BaseResponse} from "@/shared/model-components";
import {Log} from "@/shared/model-log";

/**
 * 删除指定的电费退补记录
 *
 * */
export async function getLogList(page: number, startDate: string, endDate: string, type: number): Promise<BaseResponse & { data: Log[], total: number }> {
  const response = await ajaxEngine().get(`/logs/list?${qs.stringify({
    page, startDate, endDate, type
  })}`)
  return unwrap(response)
}
