import { QueryClient } from '@tanstack/react-query';

/**
 * React Query的查询客户端。
 */
export const queryClient = new QueryClient({
  defaultOptions: {
    queries: {
      refetchOnWindowFocus: true,
      refetchOnReconnect: true
    }
  }
});
