import { ItemType } from "antd/es/menu/hooks/useItems";

export type PrivilegedItemType = {
    any?: number[];
    all?: number[];
    link?: string;
    title?: string;
    specific?: string;
    children?: PrivilegedItemType[];
    label?: string,
    key?: string,
  } & ItemType;


export interface FileListItem {
  uid?: string,
  name?: string,
  status?: 'done' | 'uploading' | 'error' | 'removed',
  response?: string,
  linkProps?: string,
}
