export function isImage(ext: string): boolean {
    return ['.jpeg', '.jpg', '.png'].includes(ext)
}
  
export function isExcel(ext: string): boolean {
    return [".xls", ".xlsx"].includes(ext)
}
  
export function isPdf(ext: string) : boolean {
    return ".pdf" === ext
}
  
export function isWord(ext: string): boolean {
    return [".doc", ".docx"].includes(ext)
}

export function getExt(filename: string): string {
    const lastIndex = filename.lastIndexOf(".")
    return filename.slice(lastIndex)
}